Skip to content
This repository
Newer
Older
100755 65 lines (50 sloc) 1.973 kb
1c202c5c » jcf
2011-05-18 Make Rakefile executable
1 #!/usr/bin/env rake
2
d73224f9 » jcf
2011-05-18 Rip out jeweler and use bundler instead
3 require 'bundler'
4 Bundler::GemHelper.install_tasks
bb63e1f0 » Bartosz Blimke
2009-11-20 Imported project to github
5
9948087f » jcf
2011-05-18 Rename spec:rubies task to rvm:specs
6 namespace :rvm do
221e8cd5 » jcf
2011-05-18 Document setting up a WebMock development environment
7 desc 'Run specs against 1.8.6, REE, 1.8.7, 1.9.2 and jRuby'
9948087f » jcf
2011-05-18 Rename spec:rubies task to rvm:specs
8 task :specs do
221e8cd5 » jcf
2011-05-18 Document setting up a WebMock development environment
9 # JCF: I'd love to be able to use RVM's `rvm {rubies} specs` command but
10 # the require tests in spec/other_net_http_libs_spec.rb break when doing
11 # so.
12 spec_files = Dir[File.dirname(__FILE__) + '/spec/**/*_spec.rb'].join(' ')
13 sh "rvm 1.8.6@webmock,ree@webmock,1.8.7@webmock,1.9.2@webmock,jruby@webmock exec rspec #{spec_files}"
14 end
15 end
16
e4a3b6bd »
2010-10-30 Changed WebMock specs to use RSpec2
17 require "rspec/core/rake_task"
af4c0548 »
2011-08-02 Fixed Net::HTTP adapter to not break normal Net::HTTP behaviour when …
18 RSpec::Core::RakeTask.new(:spec) do |t|
d73224f9 » jcf
2011-05-18 Rip out jeweler and use bundler instead
19 t.rspec_opts = ["-c", "-f progress", "-r ./spec/spec_helper.rb"]
e4a3b6bd »
2010-10-30 Changed WebMock specs to use RSpec2
20 t.pattern = 'spec/**/*_spec.rb'
bb63e1f0 » Bartosz Blimke
2009-11-20 Imported project to github
21 end
22
af4c0548 »
2011-08-02 Fixed Net::HTTP adapter to not break normal Net::HTTP behaviour when …
23 RSpec::Core::RakeTask.new(:spec_http_without_webmock) do |t|
9eea97b0 »
2011-09-04 Fixed spec paths in Rakewfile
24 t.rspec_opts = ["-c", "-f progress", "-r ./spec/acceptance/net_http/real_net_http_spec.rb"]
25 t.pattern = 'spec/acceptance/net_http/real_net_http_spec.rb'
af4c0548 »
2011-08-02 Fixed Net::HTTP adapter to not break normal Net::HTTP behaviour when …
26 end
27
fcea4b9b »
2011-08-23 Run WebMock specs against both EM-HTTP-Request 0.3 and EM-HTTP-Reques…
28
1d4899ae »
2012-01-22 Changed default em-http-request version dependency to >= 1.0.0. Specs…
29 task :em_http_request_0_x_spec do
30 sh "EM_HTTP_REQUEST_0_X=true bundle install && bundle exec rspec spec/acceptance/em_http_request/em_http_request_spec.rb" if RUBY_VERSION <= "1.8.7"
fcea4b9b »
2011-08-23 Run WebMock specs against both EM-HTTP-Request 0.3 and EM-HTTP-Reques…
31 end
32
bb63e1f0 » Bartosz Blimke
2009-11-20 Imported project to github
33 require 'rake/testtask'
34 Rake::TestTask.new(:test) do |test|
35 test.test_files = FileList["test/**/*.rb"].exclude("test/test_helper.rb")
36 test.verbose = false
2bd65d98 » Bartosz Blimke
2009-11-22 Upgraded gem version to 0.7.2
37 test.warning = false
bb63e1f0 » Bartosz Blimke
2009-11-20 Imported project to github
38 end
39
4710449f »
2011-07-30 Created separate folder with minitest tests instead of running them f…
40 Rake::TestTask.new(:minitest) do |test|
41 test.test_files = FileList["minitest/**/*.rb"].exclude("test/test_helper.rb")
42 test.verbose = false
43 test.warning = false
44 end
45
fcea4b9b »
2011-08-23 Run WebMock specs against both EM-HTTP-Request 0.3 and EM-HTTP-Reques…
46
af4c0548 »
2011-08-02 Fixed Net::HTTP adapter to not break normal Net::HTTP behaviour when …
47 task :default => [:spec, :spec_http_without_webmock, :test, :minitest]
bb63e1f0 » Bartosz Blimke
2009-11-20 Imported project to github
48
2607addf »
2011-07-29 Updated Rakefile to use new RDoc::Task
49 require 'rdoc/task'
50 RDoc::Task.new do |rdoc|
d73224f9 » jcf
2011-05-18 Rip out jeweler and use bundler instead
51 $:.push File.expand_path('../lib', __FILE__)
52 require 'webmock/version'
bb63e1f0 » Bartosz Blimke
2009-11-20 Imported project to github
53
54 rdoc.rdoc_dir = 'rdoc'
d73224f9 » jcf
2011-05-18 Rip out jeweler and use bundler instead
55 rdoc.title = "webmock #{WebMock::VERSION}"
bb63e1f0 » Bartosz Blimke
2009-11-20 Imported project to github
56 rdoc.rdoc_files.include('README*')
57 rdoc.rdoc_files.include('lib/webmock/webmock.rb')
58 end
e0218c81 »
2012-01-04 Added guard to Rakefile to ensure a release is built on ruby 1.8
59
60
61 task :require_ruby_18 do
62 raise "This must be run on Ruby 1.8" unless RUBY_VERSION =~ /^1\.8/
63 end
64
65 task :release => [:require_ruby_18]
Something went wrong with that request. Please try again.